Summary: Icon handling tools of the Tango Project
Name: icon-naming-utils
Version: 0.8.90
Release: %mkrel 13
URL: http://tango.freedesktop.org/Standard_Icon_Naming_Specification
Source0: http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Patch0: icon-naming-utils-0.8.7-paths.patch
Patch1: icon-naming-utils-0.8.90-xfce.patch
Patch2: 03_gtk_apply_close_ok.patch
Patch3: 04_add_gtk_stock_directory.patch
Patch4: icon-naming-utils-0.8.6-missinglink.patch

License: GPL+
Group: Graphical desktop/Other
#Url: http://tango-project.org/Tango_Icon_Library#Download
BuildArch:noarch
BuildRequires: perl(XML::Simple)

%description
This utility maps the icon names used by the GNOME and KDE desktops to
the icon names proposed in the Icon Naming Specification linked above.

%prep
%setup -q

%patch -P 0 -p1 -b .fix_dtd
%patch -P 1 -p1 -b .xfce
%patch -P 2 -p1 -b .gtkapply
%patch -P 3 -p1 -b .gtkstock
%patch -P 4 -p1 -b .missinglink
autoreconf

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --libexecdir=%_prefix/lib
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog
%_bindir/icon-name-mapping
%_datadir/%name/
%_datadir/pkgconfig/%name.pc






%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.8.90-13.mga10
+ Revision: 2127679
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 0.8.90-12.mga9
+ Revision: 1801818
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.90-11.mga8
+ Revision: 1491731
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 0.8.90-10.mga7
+ Revision: 1263887
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.8.90-9.mga6
+ Revision: 945010
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.90-8.mga5
+ Revision: 749469
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.90-7.mga5
+ Revision: 680453
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.90-6.mga4
+ Revision: 505947
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.90-5.mga3
+ Revision: 354205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 blino <blino> 0.8.90-4.mga1
+ Revision: 19186
- imported package icon-naming-utils

